I'm sure this question was asked a million times, but I wasn't able to find a good answer in the forum.

I just installed OPENSUSE 11.0 for a few days. Today there was a window popping up saying a security update is needed. After done that and reboot, (and log in as a regular user), I found that I can no longer start yast from the start-up menu. That is, after being prompt to input root password, Yast was not started as if nothing has happened.

I checked /var/log/yast2/y2log as well as /home/(user)/.y2log, nothing there. Then I went to check /var/log/Xorg.0.log, there is a message like this every time I try to start an application that requires to log in as root (e.g. wireshark, control panel, etc.):

"AUDIT: Wed Nov 12 13:56:20 2008: 2015 X: client 24 rejected from local host (uid 0)
Auth name: MIT-MAGIC-COOKIE-1 ID: -1


So I guess it has something to do with authentication, but how do I fix that? Thanks.